// Tidy MsgHelp JS by Silentdragon
// TidyJS idea and code from http://www.howtocreate.co.uk/tutorials/jsexamples/JSTidy.html
// Rest of the code by Myself
// version 1.0
// @include http://msghelp.net/*

document.addEventListener( 'load', function () {
	var done = 0;
	document.addEventListener( 'dblclick', function () {
		if(done) return;
	var emotes = [['msn_happy',':)'],['msn_confused',':S'],['msn_grin',':D'],['msn_tongue',':P'],['msn_wink',';)'],['msn_sad',':('],['msn_disappointed',':|'],['msn_embarrassed',':$'],['msn_mad',':@'],['msn_cool','(H)'],['msn_lipssealed',':-#'],['msn_sarcastic','^o']];
	var tags = document.getElementsByTagName('blockquote');
	for(var i = 0; i<tags.length; i++) {
		if(tags[i].className != 'code_body') continue;
		var tag = tags[i];
		var code = "formatted code";
		var text = tag.innerHTML;

		for(j in emotes) 
			text = text.replace(new RegExp("<img.*?"+emotes[j][0]+".*?\/>","gi"),emotes[j][1]);
		text = text.replace(/<img/gi,"&lt;img");
		
		text = text.replace(/<\S[^>]*>/g,"").substr(5);
		text = text.replace(/&amp;/gi,"&").replace(/&lt;/gi,"<").replace(/&gt;/gi,">");
		
		var CommentReg = new RegExp("(//[\]\[-a-zA-Z0-9_!@#\$%\^&\(\)\+=\?<>,\.:;\"'| {}\/]*[\n]?(\\*/)?)","mgi");
		var comments = text.match(CommentReg);

		text = text.replace(CommentReg,"var __COMMENT__;");
		var replacement = document.createElement('blockquote');
		replacement.className = 'code_body';
		
		//Tidy JS Start
		var damer;
		try {
			eval( 'damer = function () {'+text+'\n}' );
			text = "  "+damer.toString().replace(/^\s*function\s*\(\s*\)\s*\{\s*|\s*\}\s*$/g,'');
		} catch(e) {
			code += '('+e.name+')';
			var error = e.message.substr(13);
		}
		//Tidy JS End
		for(j in comments)
			text = text.replace(/var __COMMENT__;/i,comments[j]);
		var images = text.match(/<img.*?\/>/gi);
		text = text.replace(/<img.*?\/>/gi,"#IMAGE#").replace(/&/gi,"&amp;").replace(/</gi,"&lt;").replace(/>/gi,"&gt;").replace(/&lt;img/gi,"<img").replace(/ /gi,"&nbsp;");
		for(j in images)
			text = text.replace(/#IMAGE#/gi,images[j].replace(/\\/i,""));
		replacement.innerHTML = '<span class="smalltext">'+code+':</span><hr size="1" color="#000000">'+text.replace(/[\r]?[\n]/gi,"<br />")+'<hr size="1" color="#000000">';
  	tag.parentNode.replaceChild(replacement,tag);
	}
	done = 1;
	}, false );
}, false );